package com.example.monitorpatientstatus.controller;

import com.example.monitorpatientstatus.entity.Doctor;
import com.example.monitorpatientstatus.entity.Drug;
import com.example.monitorpatientstatus.service.DoctorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RequestMapping
@RestController
public class DoctorController {
    @Autowired
    DoctorService doctorService;

    public String login(Doctor user){
        return doctorService.login(user);
    }

    //public String regist(Doctor user){return doctorService.regist(user);}
    public List<Doctor> findAll(){
        return doctorService.findAll();
    }

    @PostMapping("/modify")
    public String modify(Doctor doctor){
        return doctorService.modify(doctor);
    }
    public Drug searchDrug(String name){return doctorService.searchDrugByName(name);}
    public Drug searchDrug(int number){return doctorService.searchDrugByNumber(number);}
}
