import Vue from 'vue'
import VueRouter from 'vue-router'

import Login from "@/views/Login" //登陆
import Register from "@/views/Register"; //注册

Vue.use(VueRouter)

const routes = [{
        path: '/',
        name: 'login',
        component: Login
    },
    {
        path: '/Register',
        name: 'Register',
        component: Register
    },
]

const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes
})

export default router